Subject: bug#20292: 24.5; Saving Git-controlled file with merge conflicts after "stash pop" stages the file

From: Stefan Monnier <[email-masked]>
Date: Fri, 15 May 2015 14:13:50 -0400

> That's not the use case we were discussing, though.  We were
> discussing a use case where the user merged from another repository,
> and then wants her uncommitted changes restored.  Leaving them staged
> will trip the naive users.

But Emacs is not the main culprit: Git itself will stage all the
non-conflicting changes, so why should this not trip the user similarly?

IOW if the user gets tripped by Emacs doing "git add" after resolving
a unstash conflict, why would that same user not already be tripped
identically by Git doing this "git add" on the non-conflicted files?

        Stefan